<?php
$tdatacandidate = array();
$tdatacandidate[".searchableFields"] = array();
$tdatacandidate[".ShortName"] = "candidate";
$tdatacandidate[".OwnerID"] = "";
$tdatacandidate[".OriginalTable"] = "candidate";


$tdatacandidate[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatacandidate[".originalPagesByType"] = $tdatacandidate[".pagesByType"];
$tdatacandidate[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatacandidate[".originalPages"] = $tdatacandidate[".pages"];
$tdatacandidate[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatacandidate[".originalDefaultPages"] = $tdatacandidate[".defaultPages"];

//	field labels
$fieldLabelscandidate = array();
$fieldToolTipscandidate = array();
$pageTitlescandidate = array();
$placeHolderscandidate = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscandidate["English"] = array();
	$fieldToolTipscandidate["English"] = array();
	$placeHolderscandidate["English"] = array();
	$pageTitlescandidate["English"] = array();
	$fieldLabelscandidate["English"]["numCand"] = "رقم";
	$fieldToolTipscandidate["English"]["numCand"] = "";
	$placeHolderscandidate["English"]["numCand"] = "";
	$fieldLabelscandidate["English"]["nameCand"] = "اسم";
	$fieldToolTipscandidate["English"]["nameCand"] = "";
	$placeHolderscandidate["English"]["nameCand"] = "";
	$fieldLabelscandidate["English"]["typeCand"] = "نوع";
	$fieldToolTipscandidate["English"]["typeCand"] = "";
	$placeHolderscandidate["English"]["typeCand"] = "";
	$fieldLabelscandidate["English"]["region"] = "منطقة";
	$fieldToolTipscandidate["English"]["region"] = "";
	$placeHolderscandidate["English"]["region"] = "";
	$fieldLabelscandidate["English"]["numOrder"] = "متسلسل";
	$fieldToolTipscandidate["English"]["numOrder"] = "";
	$placeHolderscandidate["English"]["numOrder"] = "";
	if (count($fieldToolTipscandidate["English"]))
		$tdatacandidate[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelscandidate["Arabic"] = array();
	$fieldToolTipscandidate["Arabic"] = array();
	$placeHolderscandidate["Arabic"] = array();
	$pageTitlescandidate["Arabic"] = array();
	$fieldLabelscandidate["Arabic"]["numCand"] = "رقم";
	$fieldToolTipscandidate["Arabic"]["numCand"] = "";
	$placeHolderscandidate["Arabic"]["numCand"] = "";
	$fieldLabelscandidate["Arabic"]["nameCand"] = "اسم";
	$fieldToolTipscandidate["Arabic"]["nameCand"] = "";
	$placeHolderscandidate["Arabic"]["nameCand"] = "";
	$fieldLabelscandidate["Arabic"]["typeCand"] = "نوع";
	$fieldToolTipscandidate["Arabic"]["typeCand"] = "";
	$placeHolderscandidate["Arabic"]["typeCand"] = "";
	$fieldLabelscandidate["Arabic"]["region"] = "منطقة";
	$fieldToolTipscandidate["Arabic"]["region"] = "";
	$placeHolderscandidate["Arabic"]["region"] = "";
	$fieldLabelscandidate["Arabic"]["numOrder"] = "متسلسل";
	$fieldToolTipscandidate["Arabic"]["numOrder"] = "";
	$placeHolderscandidate["Arabic"]["numOrder"] = "";
	if (count($fieldToolTipscandidate["Arabic"]))
		$tdatacandidate[".isUseToolTips"] = true;
}


	$tdatacandidate[".NCSearch"] = true;



$tdatacandidate[".shortTableName"] = "candidate";
$tdatacandidate[".nSecOptions"] = 0;

$tdatacandidate[".mainTableOwnerID"] = "";
$tdatacandidate[".entityType"] = 0;
$tdatacandidate[".connId"] = "electiondb_at_ssl_localhost";


$tdatacandidate[".strOriginalTableName"] = "candidate";

	



$tdatacandidate[".showAddInPopup"] = false;

$tdatacandidate[".showEditInPopup"] = false;

$tdatacandidate[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacandidate[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacandidate[".listAjax"] = false;
//	temporary
$tdatacandidate[".listAjax"] = false;

	$tdatacandidate[".audit"] = false;

	$tdatacandidate[".locking"] = false;


$pages = $tdatacandidate[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacandidate[".edit"] = true;
	$tdatacandidate[".afterEditAction"] = 1;
	$tdatacandidate[".closePopupAfterEdit"] = 1;
	$tdatacandidate[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacandidate[".add"] = true;
$tdatacandidate[".afterAddAction"] = 1;
$tdatacandidate[".closePopupAfterAdd"] = 1;
$tdatacandidate[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacandidate[".list"] = true;
}



$tdatacandidate[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacandidate[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacandidate[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacandidate[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacandidate[".printFriendly"] = true;
}



$tdatacandidate[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacandidate[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacandidate[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacandidate[".isUseAjaxSuggest"] = true;

$tdatacandidate[".rowHighlite"] = true;





$tdatacandidate[".ajaxCodeSnippetAdded"] = false;

$tdatacandidate[".buttonsAdded"] = false;

$tdatacandidate[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacandidate[".isUseTimeForSearch"] = false;


$tdatacandidate[".badgeColor"] = "E8926F";


$tdatacandidate[".allSearchFields"] = array();
$tdatacandidate[".filterFields"] = array();
$tdatacandidate[".requiredSearchFields"] = array();

$tdatacandidate[".googleLikeFields"] = array();
$tdatacandidate[".googleLikeFields"][] = "numCand";
$tdatacandidate[".googleLikeFields"][] = "nameCand";
$tdatacandidate[".googleLikeFields"][] = "typeCand";
$tdatacandidate[".googleLikeFields"][] = "region";
$tdatacandidate[".googleLikeFields"][] = "numOrder";



$tdatacandidate[".tableType"] = "list";

$tdatacandidate[".printerPageOrientation"] = 0;
$tdatacandidate[".nPrinterPageScale"] = 100;

$tdatacandidate[".nPrinterSplitRecords"] = 40;

$tdatacandidate[".geocodingEnabled"] = false;










$tdatacandidate[".pageSize"] = 20;

$tdatacandidate[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacandidate[".strOrderBy"] = $tstrOrderBy;

$tdatacandidate[".orderindexes"] = array();


$tdatacandidate[".sqlHead"] = "SELECT numCand,  	nameCand,  	typeCand,  	region,  	numOrder";
$tdatacandidate[".sqlFrom"] = "FROM candidate";
$tdatacandidate[".sqlWhereExpr"] = "";
$tdatacandidate[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "numCand >16",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdatacandidate[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacandidate[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacandidate[".arrGroupsPerPage"] = $arrGPP;

$tdatacandidate[".highlightSearchResults"] = true;

$tableKeyscandidate = array();
$tableKeyscandidate[] = "numCand";
$tdatacandidate[".Keys"] = $tableKeyscandidate;


$tdatacandidate[".hideMobileList"] = array();




//	numCand
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "numCand";
	$fdata["GoodName"] = "numCand";
	$fdata["ownerTable"] = "candidate";
	$fdata["Label"] = GetFieldLabel("candidate","numCand");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "numCand";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numCand";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacandidate["numCand"] = $fdata;
		$tdatacandidate[".searchableFields"][] = "numCand";
//	nameCand
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nameCand";
	$fdata["GoodName"] = "nameCand";
	$fdata["ownerTable"] = "candidate";
	$fdata["Label"] = GetFieldLabel("candidate","nameCand");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nameCand";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nameCand";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacandidate["nameCand"] = $fdata;
		$tdatacandidate[".searchableFields"][] = "nameCand";
//	typeCand
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "typeCand";
	$fdata["GoodName"] = "typeCand";
	$fdata["ownerTable"] = "candidate";
	$fdata["Label"] = GetFieldLabel("candidate","typeCand");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "typeCand";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "typeCand";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "B";
	$edata["LookupValues"][] = "M";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacandidate["typeCand"] = $fdata;
		$tdatacandidate[".searchableFields"][] = "typeCand";
//	region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "region";
	$fdata["GoodName"] = "region";
	$fdata["ownerTable"] = "candidate";
	$fdata["Label"] = GetFieldLabel("candidate","region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "region";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "name";

	

	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacandidate["region"] = $fdata;
		$tdatacandidate[".searchableFields"][] = "region";
//	numOrder
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "numOrder";
	$fdata["GoodName"] = "numOrder";
	$fdata["ownerTable"] = "candidate";
	$fdata["Label"] = GetFieldLabel("candidate","numOrder");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numOrder";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numOrder";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacandidate["numOrder"] = $fdata;
		$tdatacandidate[".searchableFields"][] = "numOrder";


$tables_data["candidate"]=&$tdatacandidate;
$field_labels["candidate"] = &$fieldLabelscandidate;
$fieldToolTips["candidate"] = &$fieldToolTipscandidate;
$placeHolders["candidate"] = &$placeHolderscandidate;
$page_titles["candidate"] = &$pageTitlescandidate;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["candidate"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["candidate"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_candidate()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "numCand,  	nameCand,  	typeCand,  	region,  	numOrder";
$proto0["m_strFrom"] = "FROM candidate";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "numCand",
	"m_strTable" => "candidate",
	"m_srcTableName" => "candidate"
));

$proto6["m_sql"] = "numCand";
$proto6["m_srcTableName"] = "candidate";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "nameCand",
	"m_strTable" => "candidate",
	"m_srcTableName" => "candidate"
));

$proto8["m_sql"] = "nameCand";
$proto8["m_srcTableName"] = "candidate";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "typeCand",
	"m_strTable" => "candidate",
	"m_srcTableName" => "candidate"
));

$proto10["m_sql"] = "typeCand";
$proto10["m_srcTableName"] = "candidate";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "region",
	"m_strTable" => "candidate",
	"m_srcTableName" => "candidate"
));

$proto12["m_sql"] = "region";
$proto12["m_srcTableName"] = "candidate";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "numOrder",
	"m_strTable" => "candidate",
	"m_srcTableName" => "candidate"
));

$proto14["m_sql"] = "numOrder";
$proto14["m_srcTableName"] = "candidate";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "candidate";
$proto17["m_srcTableName"] = "candidate";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "numCand";
$proto17["m_columns"][] = "nameCand";
$proto17["m_columns"][] = "typeCand";
$proto17["m_columns"][] = "region";
$proto17["m_columns"][] = "numOrder";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "candidate";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "candidate";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="candidate";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_candidate = createSqlQuery_candidate();


	
		;

					

$tdatacandidate[".sqlquery"] = $queryData_candidate;



$tableEvents["candidate"] = new eventsBase;
$tdatacandidate[".hasEvents"] = false;

?>